Page MenuHomePhabricator

CentralNotice should respect language fallbacks
Open, LowPublic

Description

Author: danny.leinad

Description:
In Silesian and Cassubian languages fundraiser banners are shown in English, but it doesn't make sens when exist Polish banners.

In http://svn.wikimedia.org/viewvc/mediawiki/trunk/phase3/languages/messages/MessagesCsb.php and http://svn.wikimedia.org/viewvc/mediawiki/trunk/phase3/languages/messages/MessagesSzl.php are defined $fallback = 'pl';, so CentralNotice should use this configuration.


Version: unspecified
Severity: enhancement

Details

Reference
bz32482

Related Objects

StatusAssignedTask
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
Resolvedkaldari
ResolvedNone
Resolved Nikerabbit
Resolved Nikerabbit
OpenNone
OpenNone
OpenNone
OpenNone
ResolvedNone
OpenNone
OpenNone
Resolvedawight
OpenNone
OpenNone
OpenAndyRussG
OpenNone
OpenNone
OpenNone
DeclinedNone

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 21 2014, 11:59 PM
bzimport set Reference to bz32482.
bzimport added a subscriber: Unknown Object (MLST).

Thanks Leinad, You're right this is something that we really want to do and have had on the list. I'll also pass it on to the translation team so that we can at least do it manually for now.

These two are fixed manually right now. I agree that CN should use fallback languages, though, so it's a larger issue than just that.

CentralNotice does use fallback languages (if they are available). What banner are you looking at?

See for instance this: http://ru.wikipedia.org/wiki/?uselang=inh

It should fall back to Russian (which has a translation), firstly because that is the fallback language for inh, secondly because that is the wiki language. Instead it falls back to English.

When I think of it however, this is not really a CN issue, but an even larger issue of how {{int:...}} messages are handled [1]. As such I believe this is a duplicate of another bug, but I cannot find it. Possibly bug 1495.

Anyways, changing to product "MediaWiki" and component "Internationalization"; please revert that if I am incorrect. Also, I believe bug 26342 is another variant of this bigger issue.

[1] At least that's how we handle messages for the fundraiser banners; however, when it comes to banners that have the translation in that banner this might be a separate bug.

Ah, OK. I see what's going on. They aren't using CentralNotice's banner translation system but are using int messages instead. Thus the fallback languages aren't working. I imagine they're doing this so they don't have to re-enter the translations for multiple banners that use the same text. I'm going to retitle this bug to something more specific...

Yup, you're right. CN's native system for handling fallback languages seems to work fine, so the retitle is a good explanation of the real issue at hand.

atgo lowered the priority of this task from Normal to Low.Jan 28 2015, 10:21 PM
atgo moved this task from Backlog to Later on the MediaWiki-extensions-CentralNotice board.
atgo set Security to None.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 21 2015, 7:59 AM
Base added a subscriber: Base.Feb 19 2017, 1:49 PM
awight renamed this task from CentralNotice needs a better way to manage shared messages to CentralNotice should respect language fallbacks.Jan 16 2019, 11:51 PM